[SciPy-user] can't get weave to work (apologies for resend)

James Coughlan coughlan at ski.org
Wed Oct 25 17:05:12 CDT 2006


Hello,

When I try to run a simple weave example (main.py):

from scipy import weave
a=1
weave.inline('printf("%d",a);',['a'],compiler='gcc')

it gives me this error message:
"
CompileError: error: Command "g++ -mno-cygwin -mdll -O2 -w 
-IC:\Python24\lib\site-packages\scipy\wea
ve -IC:\Python24\lib\site-packages\scipy\weave\scxx 
-IC:\Python24\lib\site-packages\numpy\core\inclu
de -IC:\Python24\include -IC:\Python24\PC -c 
C:\Python24\lib\site-packages\scipy\weave\scxx\weave_im
p.cpp -o 
c:\docume~1\james\locals~1\temp\James\python24_intermediate\compiler_ad9404e4505a343c45a7cd 

09360558c2\Release\python24\lib\site-packages\scipy\weave\scxx\weave_imp.o" 
failed with exit status
2
WARNING: Failure executing file: <main.py>
"

If I instead specify compiler='msvc' I get a different error message:
"
DistutilsPlatformError: The .NET Framework SDK needs to be installed 
before building extensions for
Python.
WARNING: Failure executing file: <main.py>
"

When I ran weave.test() I get this report: "Ran 132 tests in 3.445s", 
but it also produced some errors, e.g. "specified build_dir '_bad_path_' 
does not exist or is not writable".

I am running Python Enthought Edition -- Python 2.4.3 for Windows 
Enhanced Python Distribution, which includes SciPy version 0.5.0.2033. 
Weave *used* to work for me when I was running Python 2.3.

Can anybody give me any suggestions, or point me to someone who might be 
able to help me?

Thanks,
James

-- 
-------------------------------------------------------
James Coughlan, Ph.D., Associate Scientist                     

Smith-Kettlewell Eye Research Institute

Email: coughlan at ski.org
URL: http://www.ski.org/Rehab/Coughlan_lab/
Phone: 415-345-2146 
Fax: 415-345-8455
-------------------------------------------------------



More information about the SciPy-user mailing list